/*
 * Project Name MFC DRIVER IN WINCE
 * Copyright  2009 Samsung Electronics Co, Ltd. All Rights Reserved.
 *
 * This file implements MFC driver.
 *
 * @name MFC DRIVER Module (MfcMisc.c)
 * @author Jiyoung Shin (idon.shin@samsung.com)
 * @date 2009/06/05
 */

#include <windows.h>
#include "MfcMisc.h"

static CRITICAL_SECTION cs;


BOOL MFCMutexCreate(void)
{
    InitializeCriticalSection(&cs);

    return TRUE;
}

void MFCMutexDelete(void)
{
    DeleteCriticalSection(&cs);
}

BOOL MFCMutexLock(void)
{
    EnterCriticalSection(&cs);

    return TRUE;
}

BOOL MFCMutexRelease(void)
{
    LeaveCriticalSection(&cs);

    return TRUE;
}

